<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <h1>Formulaire d'ajout et de lecture de locations</h1>
    <h2>Ajouter une location</h2>
    <form>
        <div>
            <label for="name">userId: </label>
            <input type="text" name="userId" id="userId" required>
        </div>
        <div>
            <label for="name">date en ISO 8601 ex(aaaa-mm-jjThh:mm:ss): </label>
            <input type="text" name="date" id="date" required>
        </div>
        <div>
            <label for="name">latitude: </label>
            <input type="text" name="latitude" id="latitude" required>
        </div>
        <div>
            <label for="name">longitude: </label>
            <input type="text" name="longitude" id="longitude" required>
        </div>
        <div>
            <label for="name">niveau de batterie (option): </label>
            <input type="text" name="battery" id="battery">
        </div>
        <div>
            <label for="name">vitesse (option): </label>
            <input type="text" name="speed" id="speed">
        </div>
        <div>
            <label for="name">direction en degré (option): </label>
            <input type="text" name="direction" id="direction">
        </div>
    </form>
    <div class=postData>
        <button id='postData'>envoyer</button>
    </div>

    <br>

    <h2>Réception des locations</h2>
    <form>
        <div>
            <label for="name">nombre de location (par défaut 10): </label>
            <input type="text" name="locationNumber" id="locationNumber">
        </div>
    </form>
    <div id=btnGetData>
        <button id='getData'>envoyer</button>
    </div>
    <div class='tabResult' style=display:none>
        <table class='tabGetResult'>
            <tr>
                <th>Date</th>
                <th>Latitude</th>
                <th>Longitude</th>
                <th>Direction</th>
                <th>Vitesse</th>
                <th>Lv batterie</th>
            </tr>
        </table>
    </div>
    <script src="app/jquery.min.js"></script>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <script src="app/app.js"></script>

</body>

</html>